Subject: Re: [PATCH] flow_cache_flush soft lockup with heavy ipsec traffic

From: Steffen Klassert <[email-masked]>
Date: Wed, 9 Nov 2011 14:43:48 +0100

On Wed, Nov 09, 2011 at 02:16:04PM +0100, Eric Dumazet wrote:
> 
> Sorry, I dont understand your patch.
> 
> BH are disabled by the spin_lock_bh() call.
> 
> Once flow_cache_entry are in garbage list, nothing but garbage collector
> can access them. I see no possible deadlock. Or there is a bug somewhere
> and your patch avoid it.
> 
> Whole point of using a work queue to perform garbage collect was to not
> hold BH too long (allowing sotirq to process incoming packets), so you
> basically remove what was done in commit 8e4795605d.
> 

I guess this tries to address a problem that was already discussed here:

http://patchwork.ozlabs.org/patch/116457/